const fs = require('fs');
const childProcess = require('child_process');
const http = require('http');
const os = require('os');
const url = require('url');


exports.openUrl = ()=>{
    let u = url.format({
        protocol:'http',
        hostname:getAddress(),
        port:5000,
    });
    childProcess.spawnSync('explorer',[u]);
};

exports.isFile = (path)=>{
    return fs.lstatSync(path).isFile();
};
exports.isDirectory = (path)=>{
    return fs.lstatSync(path).isDirectory();
};

function getAddress(){
    let addressInfo = os.networkInterfaces();
    for(let key in addressInfo){
        let arr = addressInfo[key];
        arr.forEach(v=>{
            if(v.family === 'IPv4' && v.internal === false){
                address = v.address;
            }
        })
    }
    return address;
}
exports.getAddress = getAddress;



