#!/usr/bin/env node
const http = require('http');
const fs = require('fs');
const path = require('path');
const query =require('querystring');
const tool = require('./tool');


const server = http.createServer(
    //用户的每一次请求都会调用下面这个函数
    (req,res)=>{
        //res可写流
        //res.write('123');
        //res.end();
        // let ws = fs.createReadStream(path.join(__dirname,'index.html'));
        // ws.pipe(res);
        // ws.on('end',()=>{
        //     res.end();
        // });
        let reqUrl = query.unescape(req.url);
        let file = path.resolve(path.join('.',reqUrl));
        console.log(file);

        if(fs.existsSync(file)){
            if(tool.isFile(file)){
                fs.readFile(file,(err,data)=>{
                    res.end(data);
                })
            }else if(tool.isDirectory(file)){
                let lis = '';
                fs.readdirSync(file).forEach(v=>{
                    lis += `
                            <li>
                                <a href="${path.join(reqUrl,v)}">
                                    ${v + (tool.isDirectory(path.join(file,v))?'/':'')}
                                </a>
                            </li>
                            `
                });
                let html = fs.readFileSync(path.join(__dirname,'index.html')).toString();
                res.end(html.replace('$',lis));

            }
        }else{
            res.writeHeader(404);
            res.end();
        }




});
server.listen(5000, tool.openUrl);